net.minecraft.network.play.server

## Class S28PacketEffect

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S28PacketEffect

-     public class S28PacketEffect
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S28PacketEffect()`
    `S28PacketEffect(int p_i45198_1_, int p_i45198_2_, int p_i45198_3_, int p_i45198_4_, int p_i45198_5_, boolean p_i45198_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_149239_h()`
    `int` | `func_149240_f()`
    `int` | `func_149241_e()`
    `int` | `func_149242_d()`
    `int` | `func_149243_g()`
    `boolean` | `func_149244_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149245_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S28PacketEffect

          public S28PacketEffect()

    - #### S28PacketEffect

          public S28PacketEffect(int p_i45198_1_,
                         int p_i45198_2_,
                         int p_i45198_3_,
                         int p_i45198_4_,
                         int p_i45198_5_,
                         boolean p_i45198_6_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149245_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_149244_c

          public boolean func_149244_c()

    - #### func_149242_d

          public int func_149242_d()

    - #### func_149241_e

          public int func_149241_e()

    - #### func_149240_f

          public int func_149240_f()

    - #### func_149243_g

          public int func_149243_g()

    - #### func_149239_h

          public int func_149239_h()